ApiManagementUsers
POST
/v1/mgmt/family/customattribute/deleteAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
names?array<string>
string
Delete one or more custom attribute definitions from the family entity by name, using a valid management key.
curl -X POST "https://api.descope.com/v1/mgmt/family/customattribute/delete" \ -H "Content-Type: application/json" \ -d '{}'{ "data": [ { "name": "string", "type": 0, "options": [ { "value": "string", "label": "string" } ], "displayName": "string", "defaultValue": { "@type": "string" }, "viewPermissions": [ "string" ], "editPermissions": [ "string" ], "editable": true } ], "total": "string"}export interface Response {data?: {name?: stringtype?: numberoptions?: CustomAttributeOption[]displayName?: stringdefaultValue?: GoogleProtobufviewPermissions?: string[]editPermissions?: string[]/** * this is to know if this specific user can edit this specific field */editable?: boolean}[]total?: string}/** * Custom Attributes */export interface CustomAttributeOption {value?: stringlabel?: string}/** * Contains an arbitrary serialized message along with a @type that describes the type of the serialized message. */export interface GoogleProtobuf {/** * The type of the serialized message. */"@type"?: string[k: string]: unknown} Was this helpful?